> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Hide Instagram comment

> Hide a comment on Instagram.



## OpenAPI

````yaml /en/instagram-api/api-reference/openapi-instagram.json post /v1/instagram/comments/{commentId}/hide
openapi: 3.0.3
info:
  title: Notifique API — Instagram
  version: 1.0.0
  description: >-
    Send Instagram DMs and manage connections. Authenticate with `Authorization:
    Bearer sk_live_...` or `x-api-key`.
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfIgBearerAuth: []
  - ntfIgApiKeyHeader: []
tags:
  - name: 'Instagram: instances'
    description: Criar, listar, desconectar e remover conexões Instagram.
  - name: 'Instagram: messages'
    description: Enviar, listar, editar, cancelar, apagar e inbound.
  - name: 'Instagram: comments'
    description: Listr, responder e moderar comentários.
  - name: 'Instagram: media'
    description: Recent account posts and media (automation triggers).
paths:
  /v1/instagram/comments/{commentId}/hide:
    post:
      tags:
        - 'Instagram: comentários'
      summary: Hide Instagram comment
      description: Hide a comment on Instagram.
      operationId: ntfIg_hideComment
      parameters:
        - name: commentId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                hide:
                  type: boolean
                  description: true para ocultar, false para reexibir.
                  example: true
            example:
              hide: true
      responses:
        '200':
          description: Comentário ocultado.
          content:
            application/json:
              example:
                success: true
                data:
                  id: cmt_abc
                  hidden: true
              schema:
                $ref: '#/components/schemas/ntfIg_HideCommentResponse'
        '400':
          description: Instance unofficial (INSTAGRAM_COMMENT_HIDE_OFFICIAL_ONLY).
components:
  schemas:
    ntfIg_HideCommentResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            id:
              type: string
              example: cmt_abc
            hidden:
              type: boolean
              example: true
      example:
        success: true
        data:
          id: cmt_abc
          hidden: true
  securitySchemes:
    ntfIgBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_live_...'
    ntfIgApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````